tigase.io

## Class TelnetClient

- java.lang.Object
- - tigase.io.TelnetClient

- All Implemented Interfaces:
    SampleSocketThread.SocketHandler

      public class TelnetClient
      extends Object
      implements SampleSocketThread.SocketHandler

  This is sample class demonstrating how to use `tigase.io` library for TLS/SSL client connection. This is simple telnet client class which can connect to remote server using plain connection or SSL. Created: Sun Aug 6 15:14:49 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TelnetClient(String hostname, int port)` Creates a new `TelnetClient` instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleIOInterface(IOInterface ioifc)` Method description
    `void` | `handleSocketAccept(SocketChannel sc)` Method description
    `static String` | `help()` Method description
    `static void` | `main(String[] args)` Describe `main` method here.
    `static void` | `parseParams(String[] args)` Method description
    `static void` | `turnDebugOn()` Method description
    `static String` | `version()` Method description
    `void` | `writeData(String data)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TelnetClient

          public TelnetClient(String hostname,
                              int port)
                       throws Exception

      Creates a new `TelnetClient` instance.
      Parameters:
        `hostname` -
        `port` -
      Throws:
        `Exception`

  - ### Method Detail

    - #### help

          public static String help()

      Method description

    - #### main

          public static void main(String[] args)
                           throws Exception

      Describe `main` method here.
      Parameters:
        `args` - a `String[]` value
      Throws:
        `Exception`

    - #### parseParams

          public static void parseParams(String[] args)
                                  throws Exception

      Method description
      Parameters:
        `args` -
      Throws:
        `Exception`

    - #### turnDebugOn

          public static void turnDebugOn()

      Method description

    - #### version

          public static String version()

      Method description

    - #### handleIOInterface

          public void handleIOInterface(IOInterface ioifc)
                                 throws IOException

      Method description
      Specified by:
        `handleIOInterface` in interface `SampleSocketThread.SocketHandler`
      Parameters:
        `ioifc` -
      Throws:
        `IOException`

    - #### handleSocketAccept

          public void handleSocketAccept(SocketChannel sc)

      Method description
      Specified by:
        `handleSocketAccept` in interface `SampleSocketThread.SocketHandler`
      Parameters:
        `sc` -

    - #### writeData

          public void writeData(String data)
                         throws IOException

      Method description
      Parameters:
        `data` -
      Throws:
        `IOException`

Copyright © 2022 "Tigase, Inc.". All rights reserved.